## mdn-event-calendar
 React single page application that allows users to create events and invite others to them. 
 The application is using Firebase as a backend.

## Main features

    - User registration and login.
    - User Authentication and authorization.
    - User profile (ability to edit your profile details)
    - Home page widgets.
      - Weather and forecast for your city (using OpenWeatherMap API).
      - Small calendar with event indicators.
      - Upcoming events for the week.
    - Create events
    - Invite others to events
      - View events in a calendar
      - View events in a list
      - View events in a map
      - View events in a table
      - View events in a timeline
      - View events in a grid
      - View events in a chart
    - Add users(people) to contacts.
    - Create contact groups and add people to them.
    - Calendar (month, week, day views).
    - Overlapping events support.
    - Live updates for events.
      - Creating/deleting events.
      - Being added to event
      - Editing single event details.
    - Detailed single event view.
    - Invite people from your contacts to events.
    - Browse events page.
    - Search for users by their name.
    - Landing page public section.
    - Admin permissions.
    - Toasts for error and success messages.
    - Dark/Light theme.

## Project setup

1. Clone the repo
2. Navigate to cd mdn-event-calendar
3. Open terminal and:
    run npm install to install the project dependencies
    run npm run dev in order to start the app in development mode and open.



## Authors and acknowledgment
1. Nikola Ninov : https://gitlab.com/nikola.ninov,
2. Denitsa Georgieva : https://gitlab.com/denitsa.georgieva,
3. Miroslav Dimitrov : https://gitlab.com/MiroDimitrov
   
## License

This project is licensed under the [MIT License](https://opensource.org/licenses/MIT) - see the [LICENSE](LICENSE) file for details.

The MIT License is a permissive open source license that allows you to freely use, modify, and distribute this project's code. It is one of the most commonly used licenses for open source software.
## Project Status

**Development Status: [Active/Inactive/On Hold]**

If you have run out of energy or time for your project, please note that development has [slowed down/stopped completely]. However, we welcome contributions from the community to keep the project alive.

If you are interested in contributing or taking over as a maintainer, please feel free to [contact us](nikola@ninov.org) or [create an issue](https://github.com/nikola.ninov/mdn-event-calendar/issues) expressing your interest.

We appreciate your support in keeping this project going!
